Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.txn
Class Transactions.BaseTransaction

    java.lang.Object
      org.modeshape.jcr.txn.Transactions.BaseTransaction

All Implemented Interfaces:
  SessionEnvironment.MonitorFactory, Transactions.Transaction

Direct Known Subclasses:
  SynchronizedTransactions.SynchronizedTransaction, Transactions.SimpleTransaction

Enclosing class:
  Transactions

    protected abstract class Transactions.BaseTransaction

extends Object
implements Transactions.Transaction

Field Summary
`protected TransactionManager` | `txnMgr`

Constructor Summary
`protected` | `Transactions.BaseTransaction(TransactionManager txnMgr)`

Method Summary
`SessionEnvironment.Monitor` | `createMonitor()` Get a monitor that should be used to capture what has changed during this transaction.
`protected void` | `executeFunctions()`
`void` | `uponCompletion(Transactions.TransactionFunction function)` Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.jcr.txn.Transactions.Transaction
`commit, rollback`

Field Detail

### txnMgr

    protected final TransactionManager txnMgr

Constructor Detail

### Transactions.BaseTransaction

    protected Transactions.BaseTransaction(TransactionManager txnMgr)

Method Detail

### createMonitor

    public SessionEnvironment.Monitor createMonitor()

  Description copied from interface: `Transactions.Transaction`
  Get a monitor that should be used to capture what has changed during this transaction.

  Specified by:
    `createMonitor` in interface `SessionEnvironment.MonitorFactory`
  Specified by:
    `createMonitor` in interface `Transactions.Transaction`
  Returns:
    the monitor, or null if there is no monitoring

### executeFunctions

    protected void executeFunctions()

### uponCompletion

    public void uponCompletion(Transactions.TransactionFunction function)

  Description copied from interface: `Transactions.Transaction`
  Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.

  Specified by:
    `uponCompletion` in interface `Transactions.Transaction`
  Parameters:
    `function` - the completion function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.